Skip to main content
`Ctrl`+`K`
scipy.signal.

# zpk2tf

scipy.signal.zpk2tf(z, p, k)

  Return polynomial transfer function representation from zeros and poles

  Parameters:
    z array_like

      Zeros of the transfer function.

    p array_like

      Poles of the transfer function.

    k float

      System gain.

  Returns:
    b ndarray

      Numerator polynomial coefficients.

    a ndarray

      Denominator polynomial coefficients.

  Examples

  Find the polynomial representation of a transfer function H(s) using its ‘zpk’ (Zero-Pole-Gain) representation.

  \[H(z) = 5 \frac { (s - 2)(s - 6) } { (s - 1)(s - 8) }\]

      >>> from scipy.signal import zpk2tf
      >>> z   = [2,   6]
      >>> p   = [1,   8]
      >>> k   = 5
      >>> zpk2tf(z, p, k)
      (   array([  5., -40.,  60.]), array([ 1., -9.,  8.]))